Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class DormandPrince.Options

public static class DormandPrince.Options

Field Summary
`final static String` | `STATISTICS_INTREMEDIATE`
`final static String` | `STATISTICS_OFF`
`final static String` | `STATISTICS_ON`

Constructor Summary
`DormandPrince.Options()`
`DormandPrince.Options(double initialStep, boolean stiffnessDetection, boolean eventLocation, String statisticsMode)`

Method Summary
`boolean` | `getEventLocation()`
`double` | `getInitialStep()`
`String` | `getStatisticsMode()`
`boolean` | `getStiffnessDetection()`
`void` | `setEventLocation(boolean eventLocation)`
`void` | `setInitialStep(double initialStep)`
`void` | `setStatisticsMode(String statisticsMode)`
`void` | `setStiffnessDetection(boolean stiffnessDetection)`

Field Detail

### STATISTICS_INTREMEDIATE

    public final static String STATISTICS_INTREMEDIATE

### STATISTICS_OFF

    public final static String STATISTICS_OFF

### STATISTICS_ON

    public final static String STATISTICS_ON

Constructor Detail

### DormandPrince.Options

    public DormandPrince.Options()

### DormandPrince.Options

    public DormandPrince.Options(double initialStep, boolean stiffnessDetection, boolean eventLocation, String statisticsMode)

Method Detail

### getEventLocation

    public boolean getEventLocation()

### getInitialStep

    public double getInitialStep()

### getStatisticsMode

    public String getStatisticsMode()

### getStiffnessDetection

    public boolean getStiffnessDetection()

### setEventLocation

    public void setEventLocation(boolean eventLocation)

### setInitialStep

    public void setInitialStep(double initialStep)

### setStatisticsMode

    public void setStatisticsMode(String statisticsMode)

### setStiffnessDetection

    public void setStiffnessDetection(boolean stiffnessDetection)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM